storage
File Download
GET
python
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
- FileLinkResponse
- ExecutionResponse
URL to download file from
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Supercharge your AI agents with the Notte CLI and MCP. Use this quickstart prompt for AI.
from notte_sdk import NotteClient
client = NotteClient()
storage = client.FileStorage()
# Assuming you have a session with storage that has completed
with client.Session(storage=storage) as session:
# ... agent execution happens here ...
pass
# After agent execution, download created files
downloaded_files = storage.list_downloaded_files()
print(
f"Files downloaded by agent: {downloaded_files}"
)
# Download files to a directory on your computer
download_dir = "./downloads" # This creates a "downloads" folder in your current directory
for file_name in downloaded_files:
_ = storage.download(
file_name=file_name,
local_dir=download_dir,
force=False, # Don't overwrite existing files
)curl -X GET "https://api.notte.cc/storage/$session_id/downloads/$filename" \
-H "Authorization: Bearer $NOTTE_API_KEY" \
-H "Content-Type: application/json"{
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}from notte_sdk import NotteClient
client = NotteClient()
storage = client.FileStorage()
# Assuming you have a session with storage that has completed
with client.Session(storage=storage) as session:
# ... agent execution happens here ...
pass
# After agent execution, download created files
downloaded_files = storage.list_downloaded_files()
print(
f"Files downloaded by agent: {downloaded_files}"
)
# Download files to a directory on your computer
download_dir = "./downloads" # This creates a "downloads" folder in your current directory
for file_name in downloaded_files:
_ = storage.download(
file_name=file_name,
local_dir=download_dir,
force=False, # Don't overwrite existing files
)curl -X GET "https://api.notte.cc/storage/$session_id/downloads/$filename" \
-H "Authorization: Bearer $NOTTE_API_KEY" \
-H "Content-Type: application/json"{
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
Successful Response
URL to download file from
Was this page helpful?
